package com.seeyon.apps.src_finereport;

import com.seeyon.apps.common.plugin.api.APluginInfoApi;
import com.seeyon.apps.common.plugin.vo.ConfigVo;
import com.seeyon.apps.src_finereport.constans.FineReportConstants;


public class FineReportPluginApi extends APluginInfoApi {
    public FineReportPluginApi() {
    }

    public String getPluginId() {
        System.out.println(FineReportConstants.getPluginId());
        return FineReportConstants.getPluginId();
    }

    public String getCreateUser() {
        return "橙阳科技";
    }

    public String getDescription() {
        return "帆软集成管理";
    }

    public boolean syncOrg() {
        return true;
    }

    public ConfigVo getDefaultConfig() {
        ConfigVo configVo = new ConfigVo();
        FineReportConstants[] var2 = FineReportConstants.values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            FineReportConstants value = var2[var4];
            if (value != FineReportConstants.plugin) {
                configVo.getDevParams().put(value.name(), value.getDefaultValue());
                configVo.getProdParams().put(value.name(), value.getDefaultValue());
                configVo.getParamMap().put(value.name(), value.getDescription());
            }
        }

        return configVo;
    }
}
